
Name:          geoip-api-java
Version:       1.2.14
Release:       1%{?dist}
Summary:       MaxMind GeoIP Java API
License:       LGPLv2+
URL:           https://github.com/maxmind/geoip-api-java
Source0:       https://github.com/maxmind/geoip-api-java/archive/v%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.mockito:mockito-core)
%if %{?fedora} > 20
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
%else
BuildRequires: mvn(org.sonatype.oss:oss-parent)
%endif

BuildArch:     noarch

%description
MaxMind GeoIP Java API.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
find -type f -a -name *.jar -print -delete
find -type f -a -name *.class -print -delete

#%% mvn_alias : org.dspace.dependencies:dspace-geoip
%mvn_file :geoip-api geoip-api

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc Changes.md README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Tue Mar 24 2015 gil cattaneo <puntogil@libero.it> 1.2.14-1
- initial rpm
